Main Page Widgets glibmm Namespaces Book

# Glib::Ascii Namespace Reference
[Unicode Manipulation]

## Functions
double | strtod (const std::string& str)
| Converts a string to a `double` value.
double | strtod (const std::string& str, std::string::size_type& end_index, std::string::size_type start_index=0)
| Converts a string to a `double` value.
std::string | dtostr (double d)
| Converts a `double` to a string, using the `'.`
bool | isalnum (char c)
bool | isalpha (char c)
bool | iscntrl (char c)
bool | isdigit (char c)
bool | isgraph (char c)
bool | islower (char c)
bool | isprint (char c)
bool | ispunct (char c)
bool | isspace (char c)
bool | isupper (char c)
bool | isxdigit (char c)
char | tolower (char c)
char | toupper (char c)
int | digit_value (char c)
int | xdigit_value (char c)

## Function Documentation

int Glib::Ascii::digit_value | ( | char | c | ) | `[inline]`

bool Glib::Ascii::isalnum | ( | char | c | ) | `[inline]`

bool Glib::Ascii::isalpha | ( | char | c | ) | `[inline]`

bool Glib::Ascii::iscntrl | ( | char | c | ) | `[inline]`

bool Glib::Ascii::isdigit | ( | char | c | ) | `[inline]`

bool Glib::Ascii::isgraph | ( | char | c | ) | `[inline]`

bool Glib::Ascii::islower | ( | char | c | ) | `[inline]`

bool Glib::Ascii::isprint | ( | char | c | ) | `[inline]`

bool Glib::Ascii::ispunct | ( | char | c | ) | `[inline]`

bool Glib::Ascii::isspace | ( | char | c | ) | `[inline]`

bool Glib::Ascii::isupper | ( | char | c | ) | `[inline]`

bool Glib::Ascii::isxdigit | ( | char | c | ) | `[inline]`

char Glib::Ascii::tolower | ( | char | c | ) | `[inline]`

char Glib::Ascii::toupper | ( | char | c | ) | `[inline]`

int Glib::Ascii::xdigit_value | ( | char | c | ) | `[inline]`